API Reference
Transactions
Transaction history
GET
/api/transactionsGet Transaction History
Get your X402 payment transaction history with pagination and filtering.
Auth:ApiTokenOAuth2
query parameters
| Name | Type | Description |
|---|---|---|
| page | integer default: 1 | Page number |
| limit | integer default: 20 | Items per page |
| status | "success" | "failed" | "pending" | Filter by transaction status |
| search | string | Search transactions by endpoint or description |
Responses
200Transactions retrieved successfully
| Field | Type | Description | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| transactions | object[] | show nested schemaarray of
| ||||||||||||||||||||||||||||||||||||
| pagination | object | show nested schema
| ||||||||||||||||||||||||||||||||||||
| stats | object | show nested schema
|
401Unauthorized - invalid or missing authentication
| Field | Type | Description |
|---|---|---|
| error | string | |
| error_description | string | |
| message | string |
Example (cURL)
curl -X GET 'https://api.agnic.ai/api/transactions' \
-H 'X-Agnic-Token: YOUR_TOKEN'